Update user profile information for a personal profile.
If user profile has been verified then there are restrictions on what information is allowed to change. Where permitted, use the update window functionality by opening the update window, submitting the updated information using this endpoint, and finally closing the update window.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Preferred first name, if different to the legal first name.
First name in Katakana. Required for from-JPY personal transfers.
Last name in Katakana. Required for from-JPY personal transfers.
An external reference identifier mapping the customer of this profile to your system.
- Production Environmenthttps://api.wise.com/v2/profiles/{profileId}/personal-profile
- Sandbox Environmenthttps://api.wise-sandbox.com/v2/profiles/{profileId}/personal-profile
curl -i -X PUT \
'https://api.wise.com/v2/profiles/{profileId}/personal-profile' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"firstName": "Oliver",
"lastName": "Wilson",
"preferredName": "Olivia",
"firstNameInKana": null,
"lastNameInKana": null,
"address": {
"addressFirstLine": "50 Sunflower Ave",
"city": "Phoenix",
"countryIso3Code": "usa",
"postCode": "10025",
"stateCode": "AZ"
},
"nationality": "usa",
"dateOfBirth": "1977-07-01",
"contactDetails": {
"email": "o.wilson@example.com",
"phoneNumber": "+3725064992"
},
"externalCustomerId": "12345-oliver-wilson",
"occupations": [
{
"code": "Software Engineer",
"format": "FREE_FORM"
}
]
}'Updated personal profile.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
No content